Bug 247596 - ACPICA: allow Load(OEMx) tables
ACPICA: allow Load(OEMx) tables
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Luming Yu
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 05:21 EDT by Luming Yu
Modified: 2013-08-05 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luming Yu 2007-07-10 05:21:30 EDT
Description of problem:
HP and Hitachi machines have been implemented with SSDT's
that use the "OEMx" signatures.  But upon Load, ACPICA is rejecting
these tables because they are not using the "SSDT" signature.

ACPI Error (tbinstal-0134): Table has invalid signature [OEMx], must be SSDT...



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Luming Yu 2007-07-10 05:22:37 EDT
upstream patch
http://marc.info/?l=linux-acpi&m=118076135508748&w=2
Comment 2 Luming Yu 2007-08-09 02:25:38 EDT
Just checked the back port patch is in kernel-2.6.18-37.el5.src.rpm.

Comment 4 Don Zickus 2007-08-23 10:59:13 EDT
Luming,

In regards to comment #1, I do not see that code in the kernel source, nor do I
see the patch in the kernel.src.rpm.  

Also, in the future, only the maintainers or managers should put bugzillas into
MODIFIED state.  As we have to do the accounting for it.

Putting back into ASSIGNED state until we can verify what patch fixed this issue.
Comment 5 Luming Yu 2007-08-30 02:50:01 EDT
I just posted the patch.
Comment 7 RHEL Product and Program Management 2008-01-11 16:26:37 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Don Zickus 2008-01-14 15:04:51 EST
in 2.6.18-68.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2008-05-21 10:45:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.